﻿Module Module1

    Sub Main()
        Console.WriteLine("ELIZA: Hello! How can I help you today?")
        While True
            Dim userInput As String = Console.ReadLine()

            ' Exit condition
            If String.IsNullOrEmpty(userInput) OrElse userInput.ToLower() = "quit" Then
                Console.WriteLine("ELIZA: Goodbye! Have a great day!")
                Exit While
            End If

            Dim response As String = GetResponse(userInput)
            Console.WriteLine("ELIZA: " & response)
        End While
    End Sub

    Function GetResponse(userInput As String) As String
        userInput = userInput.ToLower() ' Normalize input

        ' Greetings
        If userInput.Contains("hello") Or userInput.Contains("hi") Then
            Return "Hello! What’s on your mind?"
        ElseIf userInput.Contains("how are you") Or userInput.Contains("how do you do") Then
            Return "I'm just a computer program, but thanks for asking! How can I assist you today?"

            ' Needs
        ElseIf userInput.Contains("i need") Then
            Return "Why do you need " & userInput.Substring(userInput.IndexOf("i need") + 7) & "?"

            ' Feelings
        ElseIf userInput.Contains("feel") Then
            Return "Tell me more about your feelings."
        ElseIf userInput.Contains("happy") Then
            Return "That's wonderful! What makes you feel happy?"
        ElseIf userInput.Contains("sad") Or userInput.Contains("unhappy") Then
            Return "I'm sorry to hear that. What makes you feel sad?"

            ' Self-reference
        ElseIf userInput.Contains("my") Or userInput.Contains("me") Then
            Return "Why do you think about yourself that way?"
        ElseIf userInput.Contains("i am") Then
            Return "How does being " & userInput.Substring(userInput.IndexOf("i am") + 5) & " make you feel?"

            ' Questions and concerns
        ElseIf userInput.Contains("why") Then
            Return "Why do you ask?"
        ElseIf userInput.Contains("what if") Then
            Return "What do you think would happen if that were the case?"

            ' Apologies
        ElseIf userInput.Contains("sorry") Then
            Return "Apologies are not necessary. Tell me more."

            ' Future
        ElseIf userInput.Contains("future") Then
            Return "What are your hopes for the future?"

            ' Relationships
        ElseIf userInput.Contains("love") Or userInput.Contains("relationship") Then
            Return "What does love mean to you?"

            ' Plans
        ElseIf userInput.Contains("plan") Or userInput.Contains("plans") Then
            Return "What plans do you have?"

            ' Closing
        ElseIf userInput.Contains("quit") Then
            Return "Thanks for chatting! Type 'quit' to exit."

            ' Default response
        Else
            Return "I am not sure I understand. Can you tell me more?"
        End If
    End Function

End Module
